Description

Hello,

i tried to use an external GPS/GNSS Receiver (u-blox) that allows to use GLONASS satellite data to get more precice Position. The

Connection in QGIS works, but no data was received. The result of the contact with the dealer of the Receiver was, that QGIS do not read

the incoming prefix $gn, that is used by GNSS only $gp for "basic" GPS data. So we modified the NMEA adjustment of the Receiver - and

it works! In QGIS, I can't see all received satellites, but the Signal and showed GPS-Position is very precise. Also, QGIS can  only

receive/Show 12 Satellites. I think it would be advantageous to use GLONASS and other data sources. So, it would be nice if QGIS could

read this NMEA Standards and receive more than 12 satellites. Here is ane example of the used Protokoll the lines with the prefix $PUBX

are u-blox specific and not relevant.

$GNDTM,W84,,0.0,N,0.0,E,0.0,W84*71

$GNRMC,081107.00,A,4834.67659,N,00910.54095,E,0.022,,160615,,,A*61

$GNVTG,,T,,M,0.022,N,0.040,K,A*39

$GNGNS,081107.00,4834.67659,N,00910.54095,E,AA,14,0.76,419.4,47.6,,*6B

$GNGGA,081107.00,4834.67659,N,00910.54095,E,1,12,0.76,419.4,M,47.6,M,,*47

$GNGSA,A,3,15,13,28,24,20,18,30,05,,,,,1.37,0.76,1.14*1B

$GNGSA,A,3,66,76,75,65,67,85,,,,,,,1.37,0.76,1.14*10

$GPGSV,4,1,14,05,08,193,29,11,01,041,,12,03,215,21,13,65,141,49*7D

$GPGSV,4,2,14,15,72,269,38,17,27,116,,18,21,309,35,20,26,227,47*7C

$GPGSV,4,3,14,22,01,335,,24,33,274,45,28,45,054,27,30,12,081,20*7D

$GPGSV,4,4,14,33,29,211,43,39,32,159,34*73

$GLGSV,3,1,10,65,33,194,46,66,58,274,46,67,21,330,42,74,04,063,*63

$GLGSV,3,2,10,75,52,042,39,76,57,280,41,77,08,255,29,83,01,355,19*60

$GLGSV,3,3,10,84,21,041,,85,20,092,27*6F

$GNGLL,4834.67659,N,00910.54095,E,081107.00,A,A*7D

$GNGRS,081107.00,1,-1.7,-0.1,38.1,0.8,-0.5,9.7,-21.1,-22.7,,,,*49

$GNGRS,081107.00,1,-3.8,-3.6,0.8,1.8,-4.6,8.1,,,,,,*76

$GNGST,081107.00,20,,,,1.0,1.2,2.4*40

$GNZDA,081107.00,16,06,2015,00,00*70

$GNGBS,081107.00,1.0,1.2,2.4,,,,*54

$GNTHS,,V*10

$GNVLW,,N,,N,0.000,N,0.000,N*44

$PUBX,00,081107.00,4834.67659,N,00910.54095,E,466.980,G3,1.5,2.4,0.040,0.00,0.021,,0.76,1.14,0.75,14,0,0*58

$PUBX,03,20,5,U,193,08,29,019,11,-,041,01,,000,12,e,215,03,21,000,13,U,141,65,49,059,15,U,269,72,38,052,17,e,116,27,,000,18,U,309,21,35,059,20,U,227,26,47,059,22,-,335,01,,000,24,U,274,33,45,059,28,U,054,45,27,052,30,e,081,12,20,000,120,e,211,29,,000,126,e,159,32,,000,65,U,194,33,46,058,66,U,274,58,46,057,67,U,330,21,42,058,74,-,063,04,,000,75,U,042,52,39,058,76,U,280,57,41,058*6B
$PUBX,04,081107.00,160615,202267.00,1849,16,932,20.272,21*1D


0,18,U,309,21,35,059,20,U,227,26,47,059,22,-,335,01,,000,24,U,274,33,45,059,28,U,054,45,27,052,30,e,081,12,20,000,120,e,211,29,,000,126,e,159,32,,000,65,U,194,33,46,058,66,U,274,58,46,057,67,U,330,21,42,058,74,-,063,04,,000,75,U,042,52,39,058,76,U,280,57,41,058*6B
$PUBX,04,081107.00,160615,202267.00,1849,16,932,20.272,21*1D


,211,29,,000,126,e,159,32,,000,65,U,194,33,46,058,66,U,274,58,46,057,67,U,330,21,42,058,74,-,063,04,,000,75,U,042,52,39,058,76,U,280,57,41,058*6B
$PUBX,04,081107.00,160615,202267.00,1849,16,932,20.272,21*1D


058,76,U,280,57,41,058*6B

$PUBX,04,081107.00,160615,202267.00,1849,16,932,20.272,21*1D

I hope this Report is helpful

2024-04-28 1/2



Oliver

Associated revisions

Revision c8a73da5 - 2016-03-04 11:09 PM - Jürgen Fischer

Merge pull request #2867 from dzolo/master

[FEATURE] Adds support for GNSS receivers by handling $GPRMC message (implements #12980)

History

#1 - 2015-06-17 04:52 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Category set to C++ plugins/GPS plugin

- Tracker changed from Bug report to Feature request

#2 - 2016-03-04 02:09 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"c8a73da5db7f580dd044a4a5acd7e1e774ab91a5".
